`timescale 1ns/1ps

module spi_shapes_to_video_tb;
    logic spi_clk_clk = 0;
    logic video_clk_clk = 0;
    logic spi_rst_reset = 0;
    logic video_rst_reset = 0;
    logic [7:0] spi_sink_data = 0;
    logic spi_sink_valid = 0;
    logic video_source_ready = 0;

    wire spi_sink_ready;
    wire [15:0] video_source_data;
    wire video_source_startofpacket;
    wire video_source_endofpacket;
    wire video_source_valid;

    spi_shapes_to_video spi_shapes_to_video_c(
		.spi_clk_clk(spi_clk_clk),
		.video_clk_clk(video_clk_clk),
		.spi_rst_reset(spi_rst_reset),
		.video_rst_reset(video_rst_reset),
		.spi_sink_data(spi_sink_data),
		.spi_sink_valid(spi_sink_valid),
		.video_source_ready(video_source_ready),
		.spi_sink_ready(spi_sink_ready),
		.video_source_data(video_source_data),
		.video_source_startofpacket(video_source_startofpacket),
		.video_source_endofpacket(video_source_endofpacket),
		.video_source_valid(video_source_valid)
    );
    
    localparam SYS_CYCLE = 10;
    localparam VIDEO_CYCLE = 40;

    initial begin
        forever begin
             #(SYS_CYCLE >> 1) spi_clk_clk = ~spi_clk_clk;
        end
    end

    initial begin
        spi_rst_reset = 0;
        #SYS_CYCLE;
        spi_rst_reset = 1;
        #SYS_CYCLE;

        assert (spi_sink_ready === 1); 

    end

endmodule